xine-lib: demux_mpeg_block_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_mpeg_block_s Struct Reference

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
fifo_buffer_t * | audio_fifo
fifo_buffer_t * | video_fifo
input_plugin_t * | input
int | status
int | blocksize
int | rate
int64_t | nav_last_end_pts
int64_t | nav_last_start_pts
int64_t | last_pts [2]
int | send_newpts
int | preview_mode
int | buf_flag_seek
int64_t | scr
uint32_t | packet_len
int64_t | pts
int64_t | dts
uint32_t | stream_id
int32_t | mpeg1
int64_t | last_cell_time
off_t | last_cell_pos
int | last_begin_time

## Field Documentation

## ◆ audio_fifo

fifo_buffer_t* demux_mpeg_block_s::audio_fifo

## ◆ blocksize

int demux_mpeg_block_s::blocksize

## ◆ buf_flag_seek

int demux_mpeg_block_s::buf_flag_seek

## ◆ demux_plugin

demux_plugin_t demux_mpeg_block_s::demux_plugin

## ◆ dts

int64_t demux_mpeg_block_s::dts

## ◆ input

input_plugin_t* demux_mpeg_block_s::input

## ◆ last_begin_time

int demux_mpeg_block_s::last_begin_time

## ◆ last_cell_pos

off_t demux_mpeg_block_s::last_cell_pos

## ◆ last_cell_time

int64_t demux_mpeg_block_s::last_cell_time

## ◆ last_pts

int64_t demux_mpeg_block_s::last_pts[2]

## ◆ mpeg1

int32_t demux_mpeg_block_s::mpeg1

## ◆ nav_last_end_pts

int64_t demux_mpeg_block_s::nav_last_end_pts

## ◆ nav_last_start_pts

int64_t demux_mpeg_block_s::nav_last_start_pts

## ◆ packet_len

uint32_t demux_mpeg_block_s::packet_len

## ◆ preview_mode

int demux_mpeg_block_s::preview_mode

## ◆ pts

int64_t demux_mpeg_block_s::pts

## ◆ rate

int demux_mpeg_block_s::rate

## ◆ scr

int64_t demux_mpeg_block_s::scr

## ◆ send_newpts

int demux_mpeg_block_s::send_newpts

## ◆ status

int demux_mpeg_block_s::status

## ◆ stream

xine_stream_t* demux_mpeg_block_s::stream

## ◆ stream_id

uint32_t demux_mpeg_block_s::stream_id

## ◆ video_fifo

fifo_buffer_t* demux_mpeg_block_s::video_fifo

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_mpeg_block.c